Subject: Re: [External] : Re: bug#23010: 25.1.50; Isearch help key to indicate current search state/mode

From: Juri Linkov <[email-masked]>
Date: Fri, 13 May 2022 20:03:59 +0300

> I've also made other suggestions elsewhere, regarding
> showing more such state in the mode-line.  And I do
> that in isearch+.el.  E.g., mode-line lighter tells
> you whether case-sensitive and whether regexp searching:
>
> (if case-fold-search
>     (if isearch-regexp " R*SEARCH" " ISEARCH")
>   (if isearch-regexp " R*search" " Isearch"))

I guess R means Regexp search.  But what does the asterisk
after R mean?  On the mode line it usually indicates the
modified buffer.